Subject: bug#30241: Emacs 26.0.91: "Generalized variables" are not defined.

From: Drew Adams <[email-masked]>
Date: Wed, 24 Jan 2018 13:43:10 -0800 (PST)

> > For Emacs, we could conceivably have many more generalized
> > vars than we have now.  We might make it possible to use
> > `setf' for functions like these, for instance: `point',
> > `selected-* (*=...), `point-min|max', `current-*', ...
> 
> We do seem have such setf functions for several of those, a lot of
> them require loading cl-lib (historical reasons, I guess).

Yes, and in particular we have `cl-letf' (which is misnamed,
since it does not come from Common Lisp - it should be called
`letf').

I meant only that we could conceivably have more generalized
vars than we have now.